std::deque::emplace_front(3)

NAME
std::deque::emplace_front - std::deque::emplace_front

Synopsis
   template< class... Args > (since C++11)
   void emplace_front( Args&&... args ); (until C++17)
   template< class... Args > (since C++17)
   reference emplace_front( Args&&... args );
   Inserts a new element to the beginning of the container. The element is constructed
   through std::allocator_traits::construct, which typically uses placement-new to
   construct the element in-place at the location provided by the container. The
   arguments args... are forwarded to the constructor as std::forward<Args>(args)....
   All iterators, including the past-the-end iterator, are invalidated. No references
   are invalidated.

Parameters
   args - arguments to forward to the constructor of the element

Type requirements
   -
   T (the container's element type) must meet the requirements of EmplaceConstructible.

Return value
   (none) (until C++17)
   A reference to the inserted element. (since C++17)

Complexity
   Constant.

Exceptions
   If an exception is thrown, this function has no effect (strong exception guarantee).

See also
   push_front inserts an element to the beginning
              (public member function)